> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Properties

> Get properties for a product. This current version of the Products API includes localizedContent to support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the previous API model. If you were a client prior to May 2024 and have upgraded your implementation to support this feature, you can still access product data that has not yet been rewritten to the new model by providing an x-api-version header set to "1".



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json get /commerce/catalog/admin/products/{productCode}/Properties
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/products/{productCode}/Properties:
    get:
      tags:
        - ProductProperties
      summary: Get Product Properties
      description: >-
        Get properties for a product. This current version of the Products API
        includes localizedContent to support <a
        href="/pages/catalog-structure#multi-locale-catalogs">multi-locale
        catalogs</a>, which was not present in the previous API model. If you
        were a client prior to May 2024 and have upgraded your implementation to
        support this feature, you can still access product data that has not yet
        been rewritten to the new model by providing an x-api-version header set
        to "1".
      parameters:
        - description: ''
          in: path
          name: productCode
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CatalogAdminsProductProperty'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/CatalogAdminsProductProperty'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/CatalogAdminsProductProperty'
                type: array
          description: OK
components:
  schemas:
    CatalogAdminsProductProperty:
      description: "Product options for configurable or stand-alone products. A configurable option is one that the shopper chooses when ordering, for example, \r\nthe color of a T-shirt. A stand-alone option is independent of the product and can be added to the product order. For example, a monogram."
      properties:
        attributeFQN:
          description: Unique identifier of the Attribute.
          nullable: true
          type: string
        forceOrder:
          nullable: true
          type: boolean
        values:
          items:
            $ref: '#/components/schemas/CatalogAdminsProductPropertyValue'
          nullable: true
          type: array
      type: object
    CatalogAdminsProductPropertyValue:
      description: >-
        A value of a product option for this product. For example, a computer
        product may have an option called "Memory" that can have the values
        "6GB,"8GB," and "12GB."
      properties:
        attributeVocabularyValueDetail:
          $ref: '#/components/schemas/CatalogAdminsAttributeVocabularyValue'
        content:
          $ref: '#/components/schemas/ProductPropertyValueLocalizedContent'
        localizedContent:
          items:
            $ref: '#/components/schemas/ProductPropertyValueLocalizedContent'
          nullable: true
          type: array
        value:
          nullable: true
      type: object
    CatalogAdminsAttributeVocabularyValue:
      description: Value of an attribute
      properties:
        content:
          $ref: '#/components/schemas/AttributeVocabularyValueLocalizedContent'
        displayOrder:
          description: >-
            The order in which the attribute value displays. If you omit a value
            for this property, Mozu infers the display order from the attribute
            value's position the list.
          format: int32
          nullable: true
          type: integer
        localizedContent:
          description: >-
            The Content of an attribute value. This content is in multiple
            locals supported by the master catalog and is only valid for String
            DataType.
          items:
            $ref: '#/components/schemas/AttributeVocabularyValueLocalizedContent'
          nullable: true
          type: array
        mappedGenericValues:
          description: "The actual values of the related generic attribute. This value must match the datatype of the attribute and already exist \r\nwithin the Vocabulary values of the related ValueMappingAttribute. Only supporting string at this time."
          items: {}
          nullable: true
          type: array
        productName:
          description: The ProductName when the Attribute DataType is ProductCode.
          nullable: true
          type: string
        value:
          description: "The actual value of the attribute vocabulary. This value must be unique within the vocabulary for a single attribute and match the datatype of the attribute. \r\nString data type requires a canonical value here or one will be system generated if null. The actual string content displayed to users should be stored as Content. \r\nString values require content to be present.\r\nOnce this value is set it cannot be changed."
          nullable: true
        valueSequence:
          description: Read only System generated monotonically increasing unique sequence.
          format: int32
          nullable: true
          type: integer
      type: object
    ProductPropertyValueLocalizedContent:
      description: Attribute Value Localized Resource
      properties:
        localeCode:
          description: Language used for the string attribute value.
          nullable: true
          type: string
        stringValue:
          description: Localized Value in the language of the locale code
          nullable: true
          type: string
      type: object
    AttributeVocabularyValueLocalizedContent:
      description: Attribute Value Localized Resource
      properties:
        localeCode:
          description: >-
            Language used for the string attribute value. Currently, only en_US
            is supported.
          nullable: true
          type: string
        stringValue:
          description: Localized Value in the language of the locale code
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````